Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class PotentialDuplicateReportConfig

    java.lang.Object
      com.sun.mdm.index.report.ReportConfig
          com.sun.mdm.index.report.MultirowReportConfig1
              com.sun.mdm.index.report.MultirowReportConfig2
                  com.sun.mdm.index.report.PotentialDuplicateReportConfig

All Implemented Interfaces:
  java.io.Serializable

public class PotentialDuplicateReportConfig
extends MultirowReportConfig2

Configuration class for Potential Duplicate Report

See Also:
  Serialized Form

Constructor Summary
`PotentialDuplicateReportConfig()`

Method Summary
`java.lang.String` | `getStatus()` Gets the system code.
`java.lang.String` | `getSystemCode()` Gets the system code.
`void` | `setStatus(java.lang.String status)` Sets the system code.
`void` | `setSystemCode(java.lang.String systemCode)` Sets the system code.

Methods inherited from class com.sun.mdm.index.report.MultirowReportConfig2
`addObjectField, getObjectFieldLabel2`

Methods inherited from class com.sun.mdm.index.report.MultirowReportConfig1
`addObjectField, addTransactionField, addTransactionFieldVisibleLine1, addTransactionFieldVisibleLine2, getObjectFieldLabel1, getObjectFieldLength, getObjectFields, getTransactionFieldLabel, getTransactionFieldLength, getTransactionFields, getTransactionFieldVisibleLine1, getTransactionFieldVisibleLine2`

Methods inherited from class com.sun.mdm.index.report.ReportConfig
`getEndDate, getMaxResultSize, getPageSize, getStartDate, setEndDate, setMaxResultSize, setPageSize, setStartDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PotentialDuplicateReportConfig

    public PotentialDuplicateReportConfig()

Method Detail

### getStatus

    public java.lang.String getStatus()

  Gets the system code.

  Returns:
    status Status.

### getSystemCode

    public java.lang.String getSystemCode()

  Gets the system code.

  Returns:
    systemCode System code.

### setStatus

    public void setStatus(java.lang.String status)

  Sets the system code.

  Parameters:
    `status` - New value for the status.

### setSystemCode

    public void setSystemCode(java.lang.String systemCode)

  Sets the system code.

  Parameters:
    `systemCode` - New value for the system code.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.